import React, { useState } from "react";
import "./style/selectPayment.css";
import WalletConnect from "./WalletConnect";
import CryptoTransfer from "./CryptoTransfer";
const SelectPayment = () => {
  //   const CloseBtn = "../../assets/closebtn.svg";
  //   const Transfer = "../../assets/transfer.svg";
  //   const Wallet = "../../assets/wallet.svg";
  const [cryptoTransfer, setCryptoTransfer] = useState(false);
  const [wallet, setWallet] = useState(false);
  const selectTransfer = () => {
    console.log("selectTransfer");
    setCryptoTransfer(true);
  };
  const selectWallet = () => {
    console.log("selectWallet");
    setWallet(true);
  };
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    className: "wallet_modal"
  }, wallet === true ? /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(WalletConnect, {
    setCryptoTransfer: setCryptoTransfer
  })) : null), /*#__PURE__*/React.createElement("div", {
    className: "transfer_modal"
  }, cryptoTransfer === true ? /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(CryptoTransfer, {
    setCryptoTransfer: setCryptoTransfer
  })) : null), /*#__PURE__*/React.createElement("div", {
    className: "select_payment"
  }, /*#__PURE__*/React.createElement("div", {
    className: "payment_header"
  }, /*#__PURE__*/React.createElement("div", {
    className: "payment_header_text"
  }, "Payment with"), /*#__PURE__*/React.createElement("img", {
    src: "../../assets/closebtn.svg",
    alt: "CloseBtn"
  })), /*#__PURE__*/React.createElement("div", {
    className: "transfer",
    onClick: selectTransfer
  }, /*#__PURE__*/React.createElement("div", {
    className: "transfer_badge"
  }, /*#__PURE__*/React.createElement("img", {
    src: "../../assets/transfer.svg",
    alt: "Transfer"
  })), /*#__PURE__*/React.createElement("div", {
    className: "transfer_txt"
  }, /*#__PURE__*/React.createElement("div", {
    className: "transfer_title"
  }, "Crypto transfer"), /*#__PURE__*/React.createElement("div", {
    className: "transfer_text"
  }, "Send crypto-currency on the solana network to the business\u2019s wallet address."))), /*#__PURE__*/React.createElement("div", {
    className: "wallet",
    onClick: selectWallet
  }, /*#__PURE__*/React.createElement("div", {
    className: "wallet_badge"
  }, /*#__PURE__*/React.createElement("img", {
    src: "../../assets/wallet.svg",
    alt: "wallet"
  })), /*#__PURE__*/React.createElement("div", {
    className: ""
  }, /*#__PURE__*/React.createElement("div", {
    className: "wallet_title"
  }, "Wallet connect"), /*#__PURE__*/React.createElement("div", {
    className: "wallet_text"
  }, "Connect your Slope, Phantom and other wallets to pay with ease.")))));
};
export default SelectPayment;